-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 11.0 Build 157 04/27/2011 SJ Web Edition"

-- DATE "10/27/2011 20:44:44"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIII;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIII.CYCLONEIII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	cronometro IS
    PORT (
	seg_7_1 : OUT std_logic_vector(0 TO 6);
	seg_7_2 : OUT std_logic_vector(0 TO 6);
	seg_7_3 : OUT std_logic_vector(0 TO 6);
	seg_7_4 : OUT std_logic_vector(0 TO 6);
	H : OUT std_logic;
	clock : IN std_logic;
	resetn : IN std_logic;
	pausa : IN std_logic;
	stop : IN std_logic
	);
END cronometro;

-- Design Ports Information
-- seg_7_1[6]	=>  Location: PIN_F14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[5]	=>  Location: PIN_B17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[4]	=>  Location: PIN_A17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[3]	=>  Location: PIN_E15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[2]	=>  Location: PIN_B16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[1]	=>  Location: PIN_A16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_1[0]	=>  Location: PIN_D15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[6]	=>  Location: PIN_G15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[5]	=>  Location: PIN_D19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[4]	=>  Location: PIN_C19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[3]	=>  Location: PIN_B19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[2]	=>  Location: PIN_A19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[1]	=>  Location: PIN_F15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_2[0]	=>  Location: PIN_B18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[6]	=>  Location: PIN_A15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[5]	=>  Location: PIN_E14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[4]	=>  Location: PIN_B14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[3]	=>  Location: PIN_A14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[2]	=>  Location: PIN_C13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[1]	=>  Location: PIN_B13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_3[0]	=>  Location: PIN_A13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[6]	=>  Location: PIN_F13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[5]	=>  Location: PIN_F12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[4]	=>  Location: PIN_G12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[3]	=>  Location: PIN_H13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[2]	=>  Location: PIN_H12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[1]	=>  Location: PIN_F11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- seg_7_4[0]	=>  Location: PIN_E11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- H	=>  Location: PIN_A18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- pausa	=>  Location: PIN_H2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clock	=>  Location: PIN_G21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- resetn	=>  Location: PIN_G3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- stop	=>  Location: PIN_F1,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF cronometro IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_seg_7_1 : std_logic_vector(0 TO 6);
SIGNAL ww_seg_7_2 : std_logic_vector(0 TO 6);
SIGNAL ww_seg_7_3 : std_logic_vector(0 TO 6);
SIGNAL ww_seg_7_4 : std_logic_vector(0 TO 6);
SIGNAL ww_H : std_logic;
SIGNAL ww_clock : std_logic;
SIGNAL ww_resetn : std_logic;
SIGNAL ww_pausa : std_logic;
SIGNAL ww_stop : std_logic;
SIGNAL \clock~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Add0~0_combout\ : std_logic;
SIGNAL \Add0~4_combout\ : std_logic;
SIGNAL \Add0~6_combout\ : std_logic;
SIGNAL \Add0~14_combout\ : std_logic;
SIGNAL \Add0~26_combout\ : std_logic;
SIGNAL \Add0~32_combout\ : std_logic;
SIGNAL \Add1~2_combout\ : std_logic;
SIGNAL \Add3~6_combout\ : std_logic;
SIGNAL \Equal0~0_combout\ : std_logic;
SIGNAL \cont~2_combout\ : std_logic;
SIGNAL \cont~3_combout\ : std_logic;
SIGNAL \cont~5_combout\ : std_logic;
SIGNAL \cont~10_combout\ : std_logic;
SIGNAL \cont~11_combout\ : std_logic;
SIGNAL \cont~12_combout\ : std_logic;
SIGNAL \clock~input_o\ : std_logic;
SIGNAL \stop~input_o\ : std_logic;
SIGNAL \clock~inputclkctrl_outclk\ : std_logic;
SIGNAL \pausa~input_o\ : std_logic;
SIGNAL \Add3~1\ : std_logic;
SIGNAL \Add3~3\ : std_logic;
SIGNAL \Add3~4_combout\ : std_logic;
SIGNAL \resetn~input_o\ : std_logic;
SIGNAL \Add1~0_combout\ : std_logic;
SIGNAL \Add1~1\ : std_logic;
SIGNAL \Add1~3\ : std_logic;
SIGNAL \Add1~4_combout\ : std_logic;
SIGNAL \cont~9_combout\ : std_logic;
SIGNAL \flag~0_combout\ : std_logic;
SIGNAL \flag~q\ : std_logic;
SIGNAL \Add0~1\ : std_logic;
SIGNAL \Add0~2_combout\ : std_logic;
SIGNAL \Add0~3\ : std_logic;
SIGNAL \Add0~5\ : std_logic;
SIGNAL \Add0~7\ : std_logic;
SIGNAL \Add0~8_combout\ : std_logic;
SIGNAL \Add0~9\ : std_logic;
SIGNAL \Add0~10_combout\ : std_logic;
SIGNAL \Add0~11\ : std_logic;
SIGNAL \Add0~12_combout\ : std_logic;
SIGNAL \Add0~13\ : std_logic;
SIGNAL \Add0~15\ : std_logic;
SIGNAL \Add0~16_combout\ : std_logic;
SIGNAL \Add0~17\ : std_logic;
SIGNAL \Add0~19\ : std_logic;
SIGNAL \Add0~20_combout\ : std_logic;
SIGNAL \Add0~21\ : std_logic;
SIGNAL \Add0~22_combout\ : std_logic;
SIGNAL \Add0~23\ : std_logic;
SIGNAL \Add0~25\ : std_logic;
SIGNAL \Add0~27\ : std_logic;
SIGNAL \Add0~29\ : std_logic;
SIGNAL \Add0~30_combout\ : std_logic;
SIGNAL \cont~8_combout\ : std_logic;
SIGNAL \Add0~31\ : std_logic;
SIGNAL \Add0~33\ : std_logic;
SIGNAL \Add0~34_combout\ : std_logic;
SIGNAL \cont~7_combout\ : std_logic;
SIGNAL \Add0~35\ : std_logic;
SIGNAL \Add0~37\ : std_logic;
SIGNAL \Add0~38_combout\ : std_logic;
SIGNAL \cont~6_combout\ : std_logic;
SIGNAL \Add0~39\ : std_logic;
SIGNAL \Add0~41\ : std_logic;
SIGNAL \Add0~42_combout\ : std_logic;
SIGNAL \cont~4_combout\ : std_logic;
SIGNAL \Add0~43\ : std_logic;
SIGNAL \Add0~45\ : std_logic;
SIGNAL \Add0~47\ : std_logic;
SIGNAL \Add0~48_combout\ : std_logic;
SIGNAL \Add0~40_combout\ : std_logic;
SIGNAL \Add0~36_combout\ : std_logic;
SIGNAL \Add0~18_combout\ : std_logic;
SIGNAL \Equal0~2_combout\ : std_logic;
SIGNAL \Equal0~1_combout\ : std_logic;
SIGNAL \Add0~28_combout\ : std_logic;
SIGNAL \Add0~24_combout\ : std_logic;
SIGNAL \Equal0~3_combout\ : std_logic;
SIGNAL \Equal0~4_combout\ : std_logic;
SIGNAL \Equal0~5_combout\ : std_logic;
SIGNAL \Equal0~6_combout\ : std_logic;
SIGNAL \Add0~46_combout\ : std_logic;
SIGNAL \Add0~44_combout\ : std_logic;
SIGNAL \Equal0~7_combout\ : std_logic;
SIGNAL \cont~13_combout\ : std_logic;
SIGNAL \Add0~49\ : std_logic;
SIGNAL \Add0~50_combout\ : std_logic;
SIGNAL \Equal0~8_combout\ : std_logic;
SIGNAL \var_seg[6]~1_combout\ : std_logic;
SIGNAL \Add1~5\ : std_logic;
SIGNAL \Add1~6_combout\ : std_logic;
SIGNAL \Equal1~0_combout\ : std_logic;
SIGNAL \Add1~7\ : std_logic;
SIGNAL \Add1~8_combout\ : std_logic;
SIGNAL \var_seg~3_combout\ : std_logic;
SIGNAL \Add1~9\ : std_logic;
SIGNAL \Add1~11\ : std_logic;
SIGNAL \Add1~12_combout\ : std_logic;
SIGNAL \Add1~10_combout\ : std_logic;
SIGNAL \Equal2~0_combout\ : std_logic;
SIGNAL \var_min[3]~0_combout\ : std_logic;
SIGNAL \Add3~0_combout\ : std_logic;
SIGNAL \Add3~2_combout\ : std_logic;
SIGNAL \var_min~1_combout\ : std_logic;
SIGNAL \var_min~2_combout\ : std_logic;
SIGNAL \Mux6~0_combout\ : std_logic;
SIGNAL \Mux5~0_combout\ : std_logic;
SIGNAL \Mux4~0_combout\ : std_logic;
SIGNAL \Mux3~0_combout\ : std_logic;
SIGNAL \Mux2~0_combout\ : std_logic;
SIGNAL \Mux1~0_combout\ : std_logic;
SIGNAL \Mux0~0_combout\ : std_logic;
SIGNAL \Add3~5\ : std_logic;
SIGNAL \Add3~7\ : std_logic;
SIGNAL \Add3~9\ : std_logic;
SIGNAL \Add3~10_combout\ : std_logic;
SIGNAL \Equal3~0_combout\ : std_logic;
SIGNAL \Add4~1_combout\ : std_logic;
SIGNAL \Add4~0_combout\ : std_logic;
SIGNAL \Add3~11\ : std_logic;
SIGNAL \Add3~12_combout\ : std_logic;
SIGNAL \Add3~8_combout\ : std_logic;
SIGNAL \Add4~2_combout\ : std_logic;
SIGNAL \Mux13~0_combout\ : std_logic;
SIGNAL \Mux12~0_combout\ : std_logic;
SIGNAL \Mux11~0_combout\ : std_logic;
SIGNAL \Mux10~0_combout\ : std_logic;
SIGNAL \Mux9~0_combout\ : std_logic;
SIGNAL \Mux8~0_combout\ : std_logic;
SIGNAL \Mux7~0_combout\ : std_logic;
SIGNAL \var_seg~2_combout\ : std_logic;
SIGNAL \var_seg~0_combout\ : std_logic;
SIGNAL \Mux20~0_combout\ : std_logic;
SIGNAL \Mux19~0_combout\ : std_logic;
SIGNAL \Mux18~0_combout\ : std_logic;
SIGNAL \Mux17~0_combout\ : std_logic;
SIGNAL \Mux16~0_combout\ : std_logic;
SIGNAL \Mux15~0_combout\ : std_logic;
SIGNAL \Mux14~0_combout\ : std_logic;
SIGNAL \var_seg~5_combout\ : std_logic;
SIGNAL \var_seg~4_combout\ : std_logic;
SIGNAL \Mux27~0_combout\ : std_logic;
SIGNAL \Mux26~0_combout\ : std_logic;
SIGNAL \Mux25~0_combout\ : std_logic;
SIGNAL \Mux24~0_combout\ : std_logic;
SIGNAL \Mux23~0_combout\ : std_logic;
SIGNAL \Mux22~0_combout\ : std_logic;
SIGNAL \Mux21~0_combout\ : std_logic;
SIGNAL cont : std_logic_vector(25 DOWNTO 0);
SIGNAL min : std_logic_vector(6 DOWNTO 0);
SIGNAL seg : std_logic_vector(6 DOWNTO 0);
SIGNAL var_min : std_logic_vector(6 DOWNTO 0);
SIGNAL var_seg : std_logic_vector(6 DOWNTO 0);
SIGNAL \ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \ALT_INV_Mux8~0_combout\ : std_logic;
SIGNAL \ALT_INV_Mux15~0_combout\ : std_logic;
SIGNAL \ALT_INV_Mux27~0_combout\ : std_logic;
SIGNAL \ALT_INV_flag~q\ : std_logic;
SIGNAL \ALT_INV_stop~input_o\ : std_logic;

BEGIN

seg_7_1 <= ww_seg_7_1;
seg_7_2 <= ww_seg_7_2;
seg_7_3 <= ww_seg_7_3;
seg_7_4 <= ww_seg_7_4;
H <= ww_H;
ww_clock <= clock;
ww_resetn <= resetn;
ww_pausa <= pausa;
ww_stop <= stop;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clock~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clock~input_o\);
\ALT_INV_Mux6~0_combout\ <= NOT \Mux6~0_combout\;
\ALT_INV_Mux8~0_combout\ <= NOT \Mux8~0_combout\;
\ALT_INV_Mux15~0_combout\ <= NOT \Mux15~0_combout\;
\ALT_INV_Mux27~0_combout\ <= NOT \Mux27~0_combout\;
\ALT_INV_flag~q\ <= NOT \flag~q\;
\ALT_INV_stop~input_o\ <= NOT \stop~input_o\;

-- Location: LCCOMB_X22_Y28_N6
\Add0~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~0_combout\ = cont(0) $ (VCC)
-- \Add0~1\ = CARRY(cont(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cont(0),
	datad => VCC,
	combout => \Add0~0_combout\,
	cout => \Add0~1\);

-- Location: LCCOMB_X22_Y28_N10
\Add0~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~4_combout\ = (cont(2) & (\Add0~3\ $ (GND))) # (!cont(2) & (!\Add0~3\ & VCC))
-- \Add0~5\ = CARRY((cont(2) & !\Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(2),
	datad => VCC,
	cin => \Add0~3\,
	combout => \Add0~4_combout\,
	cout => \Add0~5\);

-- Location: LCCOMB_X22_Y28_N12
\Add0~6\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~6_combout\ = (cont(3) & (!\Add0~5\)) # (!cont(3) & ((\Add0~5\) # (GND)))
-- \Add0~7\ = CARRY((!\Add0~5\) # (!cont(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(3),
	datad => VCC,
	cin => \Add0~5\,
	combout => \Add0~6_combout\,
	cout => \Add0~7\);

-- Location: LCCOMB_X22_Y28_N20
\Add0~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~14_combout\ = (cont(7) & (!\Add0~13\)) # (!cont(7) & ((\Add0~13\) # (GND)))
-- \Add0~15\ = CARRY((!\Add0~13\) # (!cont(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(7),
	datad => VCC,
	cin => \Add0~13\,
	combout => \Add0~14_combout\,
	cout => \Add0~15\);

-- Location: LCCOMB_X22_Y27_N0
\Add0~26\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~26_combout\ = (cont(13) & (!\Add0~25\)) # (!cont(13) & ((\Add0~25\) # (GND)))
-- \Add0~27\ = CARRY((!\Add0~25\) # (!cont(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(13),
	datad => VCC,
	cin => \Add0~25\,
	combout => \Add0~26_combout\,
	cout => \Add0~27\);

-- Location: LCCOMB_X22_Y27_N6
\Add0~32\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~32_combout\ = (cont(16) & (\Add0~31\ $ (GND))) # (!cont(16) & (!\Add0~31\ & VCC))
-- \Add0~33\ = CARRY((cont(16) & !\Add0~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(16),
	datad => VCC,
	cin => \Add0~31\,
	combout => \Add0~32_combout\,
	cout => \Add0~33\);

-- Location: LCCOMB_X27_Y26_N18
\Add1~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~2_combout\ = (var_seg(1) & (!\Add1~1\)) # (!var_seg(1) & ((\Add1~1\) # (GND)))
-- \Add1~3\ = CARRY((!\Add1~1\) # (!var_seg(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_seg(1),
	datad => VCC,
	cin => \Add1~1\,
	combout => \Add1~2_combout\,
	cout => \Add1~3\);

-- Location: LCCOMB_X26_Y27_N10
\Add3~6\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~6_combout\ = (var_min(3) & (!\Add3~5\)) # (!var_min(3) & ((\Add3~5\) # (GND)))
-- \Add3~7\ = CARRY((!\Add3~5\) # (!var_min(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_min(3),
	datad => VCC,
	cin => \Add3~5\,
	combout => \Add3~6_combout\,
	cout => \Add3~7\);

-- Location: FF_X22_Y27_N23
\cont[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~48_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(24));

-- Location: FF_X21_Y27_N11
\cont[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~2_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(23));

-- Location: FF_X21_Y27_N21
\cont[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~3_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(22));

-- Location: FF_X21_Y27_N17
\cont[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~5_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(20));

-- Location: FF_X22_Y27_N11
\cont[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~36_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(18));

-- Location: FF_X22_Y27_N7
\cont[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~32_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(16));

-- Location: FF_X21_Y27_N27
\cont[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~10_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(13));

-- Location: FF_X21_Y27_N5
\cont[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~11_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(12));

-- Location: FF_X22_Y28_N25
\cont[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~18_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(9));

-- Location: FF_X21_Y27_N15
\cont[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~12_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(7));

-- Location: FF_X22_Y28_N13
\cont[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~6_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(3));

-- Location: FF_X22_Y28_N11
\cont[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~4_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(2));

-- Location: FF_X22_Y28_N7
\cont[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~0_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(0));

-- Location: LCCOMB_X21_Y28_N16
\Equal0~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~0_combout\ = (!\Add0~0_combout\ & (!\Add0~4_combout\ & (!\Add0~6_combout\ & !\Add0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~0_combout\,
	datab => \Add0~4_combout\,
	datac => \Add0~6_combout\,
	datad => \Add0~2_combout\,
	combout => \Equal0~0_combout\);

-- Location: LCCOMB_X21_Y27_N10
\cont~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~2_combout\ = (\Add0~46_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~46_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~2_combout\);

-- Location: LCCOMB_X21_Y27_N20
\cont~3\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~3_combout\ = (\Add0~44_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Add0~44_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~3_combout\);

-- Location: LCCOMB_X21_Y27_N16
\cont~5\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~5_combout\ = (\Add0~40_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~40_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~5_combout\);

-- Location: LCCOMB_X21_Y27_N26
\cont~10\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~10_combout\ = (\Add0~26_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~26_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~10_combout\);

-- Location: LCCOMB_X21_Y27_N4
\cont~11\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~11_combout\ = (\Add0~24_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~24_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~11_combout\);

-- Location: LCCOMB_X21_Y27_N14
\cont~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~12_combout\ = (\Add0~14_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~14_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~12_combout\);

-- Location: IOIBUF_X41_Y15_N1
\clock~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clock,
	o => \clock~input_o\);

-- Location: IOIBUF_X0_Y23_N1
\stop~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_stop,
	o => \stop~input_o\);

-- Location: CLKCTRL_G9
\clock~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clock~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clock~inputclkctrl_outclk\);

-- Location: IOOBUF_X37_Y29_N2
\seg_7_1[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(6));

-- Location: IOOBUF_X30_Y29_N23
\seg_7_1[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(5));

-- Location: IOOBUF_X30_Y29_N16
\seg_7_1[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(4));

-- Location: IOOBUF_X30_Y29_N2
\seg_7_1[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(3));

-- Location: IOOBUF_X28_Y29_N2
\seg_7_1[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(2));

-- Location: IOOBUF_X30_Y29_N30
\seg_7_1[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(1));

-- Location: IOOBUF_X32_Y29_N30
\seg_7_1[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_1(0));

-- Location: IOOBUF_X39_Y29_N30
\seg_7_2[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux13~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(6));

-- Location: IOOBUF_X37_Y29_N30
\seg_7_2[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux12~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(5));

-- Location: IOOBUF_X37_Y29_N23
\seg_7_2[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux11~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(4));

-- Location: IOOBUF_X32_Y29_N2
\seg_7_2[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux10~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(3));

-- Location: IOOBUF_X32_Y29_N9
\seg_7_2[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux9~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(2));

-- Location: IOOBUF_X39_Y29_N16
\seg_7_2[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_Mux8~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(1));

-- Location: IOOBUF_X32_Y29_N23
\seg_7_2[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux7~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_2(0));

-- Location: IOOBUF_X26_Y29_N23
\seg_7_3[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux20~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(6));

-- Location: IOOBUF_X28_Y29_N16
\seg_7_3[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux19~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(5));

-- Location: IOOBUF_X23_Y29_N30
\seg_7_3[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux18~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(4));

-- Location: IOOBUF_X23_Y29_N23
\seg_7_3[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux17~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(3));

-- Location: IOOBUF_X23_Y29_N2
\seg_7_3[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux16~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(2));

-- Location: IOOBUF_X21_Y29_N9
\seg_7_3[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_Mux15~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(1));

-- Location: IOOBUF_X21_Y29_N2
\seg_7_3[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux14~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_3(0));

-- Location: IOOBUF_X26_Y29_N16
\seg_7_4[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_Mux27~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(6));

-- Location: IOOBUF_X28_Y29_N23
\seg_7_4[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux26~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(5));

-- Location: IOOBUF_X26_Y29_N9
\seg_7_4[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux25~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(4));

-- Location: IOOBUF_X28_Y29_N30
\seg_7_4[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux24~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(3));

-- Location: IOOBUF_X26_Y29_N2
\seg_7_4[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux23~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(2));

-- Location: IOOBUF_X21_Y29_N30
\seg_7_4[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux22~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(1));

-- Location: IOOBUF_X21_Y29_N23
\seg_7_4[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Mux21~0_combout\,
	devoe => ww_devoe,
	o => ww_seg_7_4(0));

-- Location: IOOBUF_X32_Y29_N16
\H~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_H);

-- Location: IOIBUF_X0_Y21_N8
\pausa~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_pausa,
	o => \pausa~input_o\);

-- Location: LCCOMB_X26_Y27_N4
\Add3~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~0_combout\ = var_min(0) $ (VCC)
-- \Add3~1\ = CARRY(var_min(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => var_min(0),
	datad => VCC,
	combout => \Add3~0_combout\,
	cout => \Add3~1\);

-- Location: LCCOMB_X26_Y27_N6
\Add3~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~2_combout\ = (var_min(1) & (!\Add3~1\)) # (!var_min(1) & ((\Add3~1\) # (GND)))
-- \Add3~3\ = CARRY((!\Add3~1\) # (!var_min(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_min(1),
	datad => VCC,
	cin => \Add3~1\,
	combout => \Add3~2_combout\,
	cout => \Add3~3\);

-- Location: LCCOMB_X26_Y27_N8
\Add3~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~4_combout\ = (var_min(2) & (\Add3~3\ $ (GND))) # (!var_min(2) & (!\Add3~3\ & VCC))
-- \Add3~5\ = CARRY((var_min(2) & !\Add3~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => var_min(2),
	datad => VCC,
	cin => \Add3~3\,
	combout => \Add3~4_combout\,
	cout => \Add3~5\);

-- Location: IOIBUF_X0_Y23_N15
\resetn~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_resetn,
	o => \resetn~input_o\);

-- Location: LCCOMB_X27_Y26_N16
\Add1~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~0_combout\ = var_seg(0) $ (VCC)
-- \Add1~1\ = CARRY(var_seg(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => var_seg(0),
	datad => VCC,
	combout => \Add1~0_combout\,
	cout => \Add1~1\);

-- Location: LCCOMB_X27_Y26_N20
\Add1~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~4_combout\ = (var_seg(2) & (\Add1~3\ $ (GND))) # (!var_seg(2) & (!\Add1~3\ & VCC))
-- \Add1~5\ = CARRY((var_seg(2) & !\Add1~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => var_seg(2),
	datad => VCC,
	cin => \Add1~3\,
	combout => \Add1~4_combout\,
	cout => \Add1~5\);

-- Location: LCCOMB_X21_Y27_N24
\cont~9\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~9_combout\ = (\Add0~28_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~28_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~9_combout\);

-- Location: LCCOMB_X21_Y27_N12
\flag~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \flag~0_combout\ = !\flag~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \flag~q\,
	combout => \flag~0_combout\);

-- Location: FF_X21_Y27_N13
flag : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_stop~input_o\,
	d => \flag~0_combout\,
	clrn => \resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \flag~q\);

-- Location: FF_X21_Y27_N25
\cont[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~9_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(14));

-- Location: LCCOMB_X22_Y28_N8
\Add0~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~2_combout\ = (cont(1) & (!\Add0~1\)) # (!cont(1) & ((\Add0~1\) # (GND)))
-- \Add0~3\ = CARRY((!\Add0~1\) # (!cont(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(1),
	datad => VCC,
	cin => \Add0~1\,
	combout => \Add0~2_combout\,
	cout => \Add0~3\);

-- Location: FF_X22_Y28_N9
\cont[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~2_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(1));

-- Location: LCCOMB_X22_Y28_N14
\Add0~8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~8_combout\ = (cont(4) & (\Add0~7\ $ (GND))) # (!cont(4) & (!\Add0~7\ & VCC))
-- \Add0~9\ = CARRY((cont(4) & !\Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(4),
	datad => VCC,
	cin => \Add0~7\,
	combout => \Add0~8_combout\,
	cout => \Add0~9\);

-- Location: FF_X22_Y28_N15
\cont[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~8_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(4));

-- Location: LCCOMB_X22_Y28_N16
\Add0~10\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~10_combout\ = (cont(5) & (!\Add0~9\)) # (!cont(5) & ((\Add0~9\) # (GND)))
-- \Add0~11\ = CARRY((!\Add0~9\) # (!cont(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(5),
	datad => VCC,
	cin => \Add0~9\,
	combout => \Add0~10_combout\,
	cout => \Add0~11\);

-- Location: FF_X22_Y28_N17
\cont[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~10_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(5));

-- Location: LCCOMB_X22_Y28_N18
\Add0~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~12_combout\ = (cont(6) & (\Add0~11\ $ (GND))) # (!cont(6) & (!\Add0~11\ & VCC))
-- \Add0~13\ = CARRY((cont(6) & !\Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(6),
	datad => VCC,
	cin => \Add0~11\,
	combout => \Add0~12_combout\,
	cout => \Add0~13\);

-- Location: FF_X22_Y28_N19
\cont[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~12_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(6));

-- Location: LCCOMB_X22_Y28_N22
\Add0~16\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~16_combout\ = (cont(8) & (\Add0~15\ $ (GND))) # (!cont(8) & (!\Add0~15\ & VCC))
-- \Add0~17\ = CARRY((cont(8) & !\Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(8),
	datad => VCC,
	cin => \Add0~15\,
	combout => \Add0~16_combout\,
	cout => \Add0~17\);

-- Location: FF_X22_Y28_N23
\cont[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~16_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(8));

-- Location: LCCOMB_X22_Y28_N24
\Add0~18\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~18_combout\ = (cont(9) & (!\Add0~17\)) # (!cont(9) & ((\Add0~17\) # (GND)))
-- \Add0~19\ = CARRY((!\Add0~17\) # (!cont(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(9),
	datad => VCC,
	cin => \Add0~17\,
	combout => \Add0~18_combout\,
	cout => \Add0~19\);

-- Location: LCCOMB_X22_Y28_N26
\Add0~20\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~20_combout\ = (cont(10) & (\Add0~19\ $ (GND))) # (!cont(10) & (!\Add0~19\ & VCC))
-- \Add0~21\ = CARRY((cont(10) & !\Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(10),
	datad => VCC,
	cin => \Add0~19\,
	combout => \Add0~20_combout\,
	cout => \Add0~21\);

-- Location: FF_X22_Y28_N27
\cont[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~20_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(10));

-- Location: LCCOMB_X22_Y28_N28
\Add0~22\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~22_combout\ = (cont(11) & (!\Add0~21\)) # (!cont(11) & ((\Add0~21\) # (GND)))
-- \Add0~23\ = CARRY((!\Add0~21\) # (!cont(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(11),
	datad => VCC,
	cin => \Add0~21\,
	combout => \Add0~22_combout\,
	cout => \Add0~23\);

-- Location: FF_X22_Y28_N29
\cont[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add0~22_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(11));

-- Location: LCCOMB_X22_Y28_N30
\Add0~24\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~24_combout\ = (cont(12) & (\Add0~23\ $ (GND))) # (!cont(12) & (!\Add0~23\ & VCC))
-- \Add0~25\ = CARRY((cont(12) & !\Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(12),
	datad => VCC,
	cin => \Add0~23\,
	combout => \Add0~24_combout\,
	cout => \Add0~25\);

-- Location: LCCOMB_X22_Y27_N2
\Add0~28\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~28_combout\ = (cont(14) & (\Add0~27\ $ (GND))) # (!cont(14) & (!\Add0~27\ & VCC))
-- \Add0~29\ = CARRY((cont(14) & !\Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(14),
	datad => VCC,
	cin => \Add0~27\,
	combout => \Add0~28_combout\,
	cout => \Add0~29\);

-- Location: LCCOMB_X22_Y27_N4
\Add0~30\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~30_combout\ = (cont(15) & (!\Add0~29\)) # (!cont(15) & ((\Add0~29\) # (GND)))
-- \Add0~31\ = CARRY((!\Add0~29\) # (!cont(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(15),
	datad => VCC,
	cin => \Add0~29\,
	combout => \Add0~30_combout\,
	cout => \Add0~31\);

-- Location: LCCOMB_X21_Y27_N22
\cont~8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~8_combout\ = (\Add0~30_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~30_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~8_combout\);

-- Location: FF_X21_Y27_N23
\cont[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~8_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(15));

-- Location: LCCOMB_X22_Y27_N8
\Add0~34\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~34_combout\ = (cont(17) & (!\Add0~33\)) # (!cont(17) & ((\Add0~33\) # (GND)))
-- \Add0~35\ = CARRY((!\Add0~33\) # (!cont(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(17),
	datad => VCC,
	cin => \Add0~33\,
	combout => \Add0~34_combout\,
	cout => \Add0~35\);

-- Location: LCCOMB_X21_Y27_N28
\cont~7\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~7_combout\ = (\Add0~34_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~34_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~7_combout\);

-- Location: FF_X21_Y27_N29
\cont[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~7_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(17));

-- Location: LCCOMB_X22_Y27_N10
\Add0~36\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~36_combout\ = (cont(18) & (\Add0~35\ $ (GND))) # (!cont(18) & (!\Add0~35\ & VCC))
-- \Add0~37\ = CARRY((cont(18) & !\Add0~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(18),
	datad => VCC,
	cin => \Add0~35\,
	combout => \Add0~36_combout\,
	cout => \Add0~37\);

-- Location: LCCOMB_X22_Y27_N12
\Add0~38\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~38_combout\ = (cont(19) & (!\Add0~37\)) # (!cont(19) & ((\Add0~37\) # (GND)))
-- \Add0~39\ = CARRY((!\Add0~37\) # (!cont(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(19),
	datad => VCC,
	cin => \Add0~37\,
	combout => \Add0~38_combout\,
	cout => \Add0~39\);

-- Location: LCCOMB_X21_Y27_N18
\cont~6\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~6_combout\ = (\Add0~38_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~38_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~6_combout\);

-- Location: FF_X21_Y27_N19
\cont[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~6_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(19));

-- Location: LCCOMB_X22_Y27_N14
\Add0~40\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~40_combout\ = (cont(20) & (\Add0~39\ $ (GND))) # (!cont(20) & (!\Add0~39\ & VCC))
-- \Add0~41\ = CARRY((cont(20) & !\Add0~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(20),
	datad => VCC,
	cin => \Add0~39\,
	combout => \Add0~40_combout\,
	cout => \Add0~41\);

-- Location: LCCOMB_X22_Y27_N16
\Add0~42\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~42_combout\ = (cont(21) & (!\Add0~41\)) # (!cont(21) & ((\Add0~41\) # (GND)))
-- \Add0~43\ = CARRY((!\Add0~41\) # (!cont(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cont(21),
	datad => VCC,
	cin => \Add0~41\,
	combout => \Add0~42_combout\,
	cout => \Add0~43\);

-- Location: LCCOMB_X21_Y27_N6
\cont~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~4_combout\ = (\Add0~42_combout\ & !\Equal0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Add0~42_combout\,
	datad => \Equal0~8_combout\,
	combout => \cont~4_combout\);

-- Location: FF_X21_Y27_N7
\cont[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~4_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(21));

-- Location: LCCOMB_X22_Y27_N18
\Add0~44\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~44_combout\ = (cont(22) & (\Add0~43\ $ (GND))) # (!cont(22) & (!\Add0~43\ & VCC))
-- \Add0~45\ = CARRY((cont(22) & !\Add0~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(22),
	datad => VCC,
	cin => \Add0~43\,
	combout => \Add0~44_combout\,
	cout => \Add0~45\);

-- Location: LCCOMB_X22_Y27_N20
\Add0~46\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~46_combout\ = (cont(23) & (!\Add0~45\)) # (!cont(23) & ((\Add0~45\) # (GND)))
-- \Add0~47\ = CARRY((!\Add0~45\) # (!cont(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(23),
	datad => VCC,
	cin => \Add0~45\,
	combout => \Add0~46_combout\,
	cout => \Add0~47\);

-- Location: LCCOMB_X22_Y27_N22
\Add0~48\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~48_combout\ = (cont(24) & (\Add0~47\ $ (GND))) # (!cont(24) & (!\Add0~47\ & VCC))
-- \Add0~49\ = CARRY((cont(24) & !\Add0~47\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cont(24),
	datad => VCC,
	cin => \Add0~47\,
	combout => \Add0~48_combout\,
	cout => \Add0~49\);

-- Location: LCCOMB_X22_Y28_N0
\Equal0~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~2_combout\ = (!\Add0~16_combout\ & (!\Add0~18_combout\ & (!\Add0~20_combout\ & !\Add0~22_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~16_combout\,
	datab => \Add0~18_combout\,
	datac => \Add0~20_combout\,
	datad => \Add0~22_combout\,
	combout => \Equal0~2_combout\);

-- Location: LCCOMB_X21_Y27_N0
\Equal0~1\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~1_combout\ = (\Add0~14_combout\ & (!\Add0~8_combout\ & (!\Add0~12_combout\ & !\Add0~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~14_combout\,
	datab => \Add0~8_combout\,
	datac => \Add0~12_combout\,
	datad => \Add0~10_combout\,
	combout => \Equal0~1_combout\);

-- Location: LCCOMB_X22_Y27_N26
\Equal0~3\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~3_combout\ = (\Add0~26_combout\ & (\Add0~28_combout\ & (\Add0~24_combout\ & \Add0~30_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~26_combout\,
	datab => \Add0~28_combout\,
	datac => \Add0~24_combout\,
	datad => \Add0~30_combout\,
	combout => \Equal0~3_combout\);

-- Location: LCCOMB_X22_Y28_N2
\Equal0~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~4_combout\ = (\Equal0~0_combout\ & (\Equal0~2_combout\ & (\Equal0~1_combout\ & \Equal0~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal0~0_combout\,
	datab => \Equal0~2_combout\,
	datac => \Equal0~1_combout\,
	datad => \Equal0~3_combout\,
	combout => \Equal0~4_combout\);

-- Location: LCCOMB_X22_Y28_N4
\Equal0~5\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~5_combout\ = (!\Add0~32_combout\ & (\Add0~34_combout\ & (!\Add0~36_combout\ & \Equal0~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~32_combout\,
	datab => \Add0~34_combout\,
	datac => \Add0~36_combout\,
	datad => \Equal0~4_combout\,
	combout => \Equal0~5_combout\);

-- Location: LCCOMB_X22_Y27_N28
\Equal0~6\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~6_combout\ = (\Add0~38_combout\ & (\Add0~42_combout\ & (\Add0~40_combout\ & \Equal0~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~38_combout\,
	datab => \Add0~42_combout\,
	datac => \Add0~40_combout\,
	datad => \Equal0~5_combout\,
	combout => \Equal0~6_combout\);

-- Location: LCCOMB_X21_Y27_N2
\Equal0~7\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~7_combout\ = (\Add0~46_combout\ & \Add0~44_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~46_combout\,
	datad => \Add0~44_combout\,
	combout => \Equal0~7_combout\);

-- Location: LCCOMB_X21_Y27_N8
\cont~13\ : cycloneiii_lcell_comb
-- Equation(s):
-- \cont~13_combout\ = (\Add0~50_combout\ & ((\Add0~48_combout\) # ((!\Equal0~7_combout\) # (!\Equal0~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~50_combout\,
	datab => \Add0~48_combout\,
	datac => \Equal0~6_combout\,
	datad => \Equal0~7_combout\,
	combout => \cont~13_combout\);

-- Location: FF_X21_Y27_N9
\cont[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \cont~13_combout\,
	clrn => \resetn~input_o\,
	ena => \ALT_INV_flag~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cont(25));

-- Location: LCCOMB_X22_Y27_N24
\Add0~50\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add0~50_combout\ = \Add0~49\ $ (cont(25))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => cont(25),
	cin => \Add0~49\,
	combout => \Add0~50_combout\);

-- Location: LCCOMB_X22_Y27_N30
\Equal0~8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal0~8_combout\ = (\Equal0~7_combout\ & (\Add0~50_combout\ & (!\Add0~48_combout\ & \Equal0~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal0~7_combout\,
	datab => \Add0~50_combout\,
	datac => \Add0~48_combout\,
	datad => \Equal0~6_combout\,
	combout => \Equal0~8_combout\);

-- Location: LCCOMB_X27_Y26_N2
\var_seg[6]~1\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg[6]~1_combout\ = (\Equal0~8_combout\ & !\flag~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Equal0~8_combout\,
	datad => \flag~q\,
	combout => \var_seg[6]~1_combout\);

-- Location: FF_X27_Y26_N1
\var_seg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	asdata => \Add1~4_combout\,
	clrn => \resetn~input_o\,
	sload => VCC,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(2));

-- Location: LCCOMB_X27_Y26_N22
\Add1~6\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~6_combout\ = (var_seg(3) & (!\Add1~5\)) # (!var_seg(3) & ((\Add1~5\) # (GND)))
-- \Add1~7\ = CARRY((!\Add1~5\) # (!var_seg(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_seg(3),
	datad => VCC,
	cin => \Add1~5\,
	combout => \Add1~6_combout\,
	cout => \Add1~7\);

-- Location: LCCOMB_X27_Y27_N22
\Equal1~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal1~0_combout\ = (\Add1~2_combout\ & (!\Add1~0_combout\ & (\Add1~6_combout\ & !\Add1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~2_combout\,
	datab => \Add1~0_combout\,
	datac => \Add1~6_combout\,
	datad => \Add1~4_combout\,
	combout => \Equal1~0_combout\);

-- Location: LCCOMB_X27_Y26_N24
\Add1~8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~8_combout\ = (var_seg(4) & (\Add1~7\ $ (GND))) # (!var_seg(4) & (!\Add1~7\ & VCC))
-- \Add1~9\ = CARRY((var_seg(4) & !\Add1~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_seg(4),
	datad => VCC,
	cin => \Add1~7\,
	combout => \Add1~8_combout\,
	cout => \Add1~9\);

-- Location: LCCOMB_X27_Y26_N12
\var_seg~3\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg~3_combout\ = (\Add1~12_combout\ & (((!\Add1~8_combout\) # (!\Equal1~0_combout\)))) # (!\Add1~12_combout\ & (\Add1~10_combout\ & (\Equal1~0_combout\ & \Add1~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~10_combout\,
	datab => \Add1~12_combout\,
	datac => \Equal1~0_combout\,
	datad => \Add1~8_combout\,
	combout => \var_seg~3_combout\);

-- Location: FF_X27_Y26_N13
\var_seg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_seg~3_combout\,
	clrn => \resetn~input_o\,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(6));

-- Location: LCCOMB_X27_Y26_N26
\Add1~10\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~10_combout\ = (var_seg(5) & (!\Add1~9\)) # (!var_seg(5) & ((\Add1~9\) # (GND)))
-- \Add1~11\ = CARRY((!\Add1~9\) # (!var_seg(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_seg(5),
	datad => VCC,
	cin => \Add1~9\,
	combout => \Add1~10_combout\,
	cout => \Add1~11\);

-- Location: LCCOMB_X27_Y26_N28
\Add1~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add1~12_combout\ = var_seg(6) $ (!\Add1~11\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => var_seg(6),
	cin => \Add1~11\,
	combout => \Add1~12_combout\);

-- Location: LCCOMB_X23_Y27_N8
\Equal2~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal2~0_combout\ = (\Add1~8_combout\ & (\Add1~12_combout\ & !\Add1~10_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Add1~8_combout\,
	datac => \Add1~12_combout\,
	datad => \Add1~10_combout\,
	combout => \Equal2~0_combout\);

-- Location: LCCOMB_X26_Y27_N0
\var_min[3]~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_min[3]~0_combout\ = (!\flag~q\ & (\Equal1~0_combout\ & (\Equal2~0_combout\ & \Equal0~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \flag~q\,
	datab => \Equal1~0_combout\,
	datac => \Equal2~0_combout\,
	datad => \Equal0~8_combout\,
	combout => \var_min[3]~0_combout\);

-- Location: FF_X26_Y27_N3
\var_min[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	asdata => \Add3~4_combout\,
	clrn => \resetn~input_o\,
	sload => VCC,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(2));

-- Location: LCCOMB_X26_Y27_N26
\min[2]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(2) = (\pausa~input_o\ & ((var_min(2)))) # (!\pausa~input_o\ & (min(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => min(2),
	datad => var_min(2),
	combout => min(2));

-- Location: LCCOMB_X26_Y27_N18
\var_min~1\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_min~1_combout\ = (\Add3~2_combout\ & (((\Add3~0_combout\) # (\Add3~4_combout\)) # (!\Add3~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~6_combout\,
	datab => \Add3~0_combout\,
	datac => \Add3~4_combout\,
	datad => \Add3~2_combout\,
	combout => \var_min~1_combout\);

-- Location: FF_X26_Y27_N19
\var_min[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_min~1_combout\,
	clrn => \resetn~input_o\,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(1));

-- Location: LCCOMB_X26_Y27_N24
\min[1]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(1) = (\pausa~input_o\ & ((var_min(1)))) # (!\pausa~input_o\ & (min(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \pausa~input_o\,
	datab => min(1),
	datad => var_min(1),
	combout => min(1));

-- Location: LCCOMB_X27_Y27_N6
\var_min~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_min~2_combout\ = (\Add3~6_combout\ & ((\Add3~0_combout\) # ((\Add3~4_combout\) # (!\Add3~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~6_combout\,
	datab => \Add3~0_combout\,
	datac => \Add3~2_combout\,
	datad => \Add3~4_combout\,
	combout => \var_min~2_combout\);

-- Location: FF_X27_Y27_N7
\var_min[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_min~2_combout\,
	clrn => \resetn~input_o\,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(3));

-- Location: LCCOMB_X27_Y27_N26
\min[3]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(3) = (\pausa~input_o\ & ((var_min(3)))) # (!\pausa~input_o\ & (min(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => min(3),
	datad => var_min(3),
	combout => min(3));

-- Location: FF_X26_Y27_N25
\var_min[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	asdata => \Add3~0_combout\,
	clrn => \resetn~input_o\,
	sload => VCC,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(0));

-- Location: LCCOMB_X26_Y27_N2
\min[0]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(0) = (\pausa~input_o\ & ((var_min(0)))) # (!\pausa~input_o\ & (min(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(0),
	datab => \pausa~input_o\,
	datad => var_min(0),
	combout => min(0));

-- Location: LCCOMB_X27_Y27_N8
\Mux6~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux6~0_combout\ = (min(2) & (!min(3) & ((!min(0)) # (!min(1))))) # (!min(2) & (min(1) $ ((min(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001011000011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux6~0_combout\);

-- Location: LCCOMB_X27_Y27_N10
\Mux5~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux5~0_combout\ = (min(2) & ((min(3)) # ((min(1) & min(0))))) # (!min(2) & ((min(1)) # ((!min(3) & min(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110111100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux5~0_combout\);

-- Location: LCCOMB_X27_Y27_N4
\Mux4~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux4~0_combout\ = (min(0)) # ((min(1) & ((min(3)))) # (!min(1) & (min(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux4~0_combout\);

-- Location: LCCOMB_X27_Y27_N14
\Mux3~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux3~0_combout\ = (min(1) & ((min(3)) # ((min(2) & min(0))))) # (!min(1) & (min(2) $ (((!min(3) & min(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110100111100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux3~0_combout\);

-- Location: LCCOMB_X27_Y27_N0
\Mux2~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux2~0_combout\ = (min(2) & (((min(3))))) # (!min(2) & (min(1) & ((min(3)) # (!min(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux2~0_combout\);

-- Location: LCCOMB_X27_Y27_N2
\Mux1~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux1~0_combout\ = (min(2) & ((min(3)) # (min(1) $ (min(0))))) # (!min(2) & (min(1) & (min(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux1~0_combout\);

-- Location: LCCOMB_X27_Y27_N12
\Mux0~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux0~0_combout\ = (min(1) & (((min(3))))) # (!min(1) & (min(2) $ (((!min(3) & min(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => min(2),
	datab => min(1),
	datac => min(3),
	datad => min(0),
	combout => \Mux0~0_combout\);

-- Location: LCCOMB_X26_Y27_N12
\Add3~8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~8_combout\ = (var_min(4) & (\Add3~7\ $ (GND))) # (!var_min(4) & (!\Add3~7\ & VCC))
-- \Add3~9\ = CARRY((var_min(4) & !\Add3~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_min(4),
	datad => VCC,
	cin => \Add3~7\,
	combout => \Add3~8_combout\,
	cout => \Add3~9\);

-- Location: LCCOMB_X26_Y27_N14
\Add3~10\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~10_combout\ = (var_min(5) & (!\Add3~9\)) # (!var_min(5) & ((\Add3~9\) # (GND)))
-- \Add3~11\ = CARRY((!\Add3~9\) # (!var_min(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var_min(5),
	datad => VCC,
	cin => \Add3~9\,
	combout => \Add3~10_combout\,
	cout => \Add3~11\);

-- Location: LCCOMB_X27_Y27_N24
\Equal3~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Equal3~0_combout\ = (\Add3~6_combout\ & (!\Add3~0_combout\ & (\Add3~2_combout\ & !\Add3~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~6_combout\,
	datab => \Add3~0_combout\,
	datac => \Add3~2_combout\,
	datad => \Add3~4_combout\,
	combout => \Equal3~0_combout\);

-- Location: LCCOMB_X26_Y27_N30
\Add4~1\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add4~1_combout\ = \Add3~10_combout\ $ (((\Add3~8_combout\ & \Equal3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~8_combout\,
	datac => \Add3~10_combout\,
	datad => \Equal3~0_combout\,
	combout => \Add4~1_combout\);

-- Location: FF_X26_Y27_N31
\var_min[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add4~1_combout\,
	clrn => \resetn~input_o\,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(5));

-- Location: LCCOMB_X26_Y27_N22
\min[5]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(5) = (\pausa~input_o\ & (var_min(5))) # (!\pausa~input_o\ & ((min(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => var_min(5),
	datad => min(5),
	combout => min(5));

-- Location: LCCOMB_X26_Y27_N28
\Add4~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add4~0_combout\ = \Add3~8_combout\ $ (\Equal3~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~8_combout\,
	datad => \Equal3~0_combout\,
	combout => \Add4~0_combout\);

-- Location: FF_X26_Y27_N29
\var_min[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add4~0_combout\,
	clrn => \resetn~input_o\,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(4));

-- Location: LCCOMB_X26_Y27_N20
\min[4]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(4) = (\pausa~input_o\ & ((var_min(4)))) # (!\pausa~input_o\ & (min(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => min(4),
	datad => var_min(4),
	combout => min(4));

-- Location: LCCOMB_X26_Y27_N16
\Add3~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add3~12_combout\ = \Add3~11\ $ (!var_min(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => var_min(6),
	cin => \Add3~11\,
	combout => \Add3~12_combout\);

-- Location: LCCOMB_X27_Y27_N16
\Add4~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Add4~2_combout\ = \Add3~12_combout\ $ (((\Add3~10_combout\ & (\Equal3~0_combout\ & \Add3~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add3~10_combout\,
	datab => \Equal3~0_combout\,
	datac => \Add3~12_combout\,
	datad => \Add3~8_combout\,
	combout => \Add4~2_combout\);

-- Location: FF_X27_Y27_N17
\var_min[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \Add4~2_combout\,
	clrn => \resetn~input_o\,
	ena => \var_min[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_min(6));

-- Location: LCCOMB_X27_Y27_N28
\min[6]\ : cycloneiii_lcell_comb
-- Equation(s):
-- min(6) = (\pausa~input_o\ & ((var_min(6)))) # (!\pausa~input_o\ & (min(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => min(6),
	datad => var_min(6),
	combout => min(6));

-- Location: LCCOMB_X32_Y28_N24
\Mux13~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux13~0_combout\ = (min(5) & (min(4) & min(6))) # (!min(5) & ((!min(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux13~0_combout\);

-- Location: LCCOMB_X32_Y28_N26
\Mux12~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux12~0_combout\ = (min(5) & ((min(4)) # (!min(6)))) # (!min(5) & (min(4) & !min(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux12~0_combout\);

-- Location: LCCOMB_X32_Y28_N4
\Mux11~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux11~0_combout\ = (min(4)) # ((!min(5) & min(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux11~0_combout\);

-- Location: LCCOMB_X32_Y28_N6
\Mux10~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux10~0_combout\ = (min(5) & (min(4) & min(6))) # (!min(5) & (min(4) $ (min(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux10~0_combout\);

-- Location: LCCOMB_X32_Y28_N0
\Mux9~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux9~0_combout\ = (min(5) & (!min(4) & !min(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux9~0_combout\);

-- Location: LCCOMB_X32_Y28_N10
\Mux8~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux8~0_combout\ = (min(5) $ (!min(4))) # (!min(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux8~0_combout\);

-- Location: LCCOMB_X32_Y28_N12
\Mux7~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux7~0_combout\ = (!min(5) & (min(4) $ (min(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => min(5),
	datac => min(4),
	datad => min(6),
	combout => \Mux7~0_combout\);

-- Location: LCCOMB_X27_Y26_N10
\var_seg~2\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg~2_combout\ = (\Add1~10_combout\ & (((!\Add1~8_combout\) # (!\Equal1~0_combout\)))) # (!\Add1~10_combout\ & (!\Add1~12_combout\ & (\Equal1~0_combout\ & \Add1~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~10_combout\,
	datab => \Add1~12_combout\,
	datac => \Equal1~0_combout\,
	datad => \Add1~8_combout\,
	combout => \var_seg~2_combout\);

-- Location: FF_X27_Y26_N11
\var_seg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_seg~2_combout\,
	clrn => \resetn~input_o\,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(5));

-- Location: LCCOMB_X27_Y26_N6
\seg[5]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(5) = (\pausa~input_o\ & ((var_seg(5)))) # (!\pausa~input_o\ & (seg(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => \pausa~input_o\,
	datad => var_seg(5),
	combout => seg(5));

-- Location: LCCOMB_X27_Y26_N4
\seg[6]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(6) = (\pausa~input_o\ & ((var_seg(6)))) # (!\pausa~input_o\ & (seg(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => seg(6),
	datac => \pausa~input_o\,
	datad => var_seg(6),
	combout => seg(6));

-- Location: LCCOMB_X27_Y26_N8
\var_seg~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg~0_combout\ = \Equal1~0_combout\ $ (\Add1~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Equal1~0_combout\,
	datad => \Add1~8_combout\,
	combout => \var_seg~0_combout\);

-- Location: FF_X27_Y26_N9
\var_seg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_seg~0_combout\,
	clrn => \resetn~input_o\,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(4));

-- Location: LCCOMB_X27_Y26_N0
\seg[4]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(4) = (\pausa~input_o\ & ((var_seg(4)))) # (!\pausa~input_o\ & (seg(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(4),
	datab => \pausa~input_o\,
	datad => var_seg(4),
	combout => seg(4));

-- Location: LCCOMB_X23_Y28_N24
\Mux20~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux20~0_combout\ = (seg(5) & (seg(6) & seg(4))) # (!seg(5) & (!seg(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux20~0_combout\);

-- Location: LCCOMB_X23_Y28_N18
\Mux19~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux19~0_combout\ = (seg(5) & ((seg(4)) # (!seg(6)))) # (!seg(5) & (!seg(6) & seg(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux19~0_combout\);

-- Location: LCCOMB_X23_Y28_N4
\Mux18~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux18~0_combout\ = (seg(4)) # ((!seg(5) & seg(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux18~0_combout\);

-- Location: LCCOMB_X23_Y28_N22
\Mux17~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux17~0_combout\ = (seg(5) & (seg(6) & seg(4))) # (!seg(5) & (seg(6) $ (seg(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux17~0_combout\);

-- Location: LCCOMB_X23_Y28_N0
\Mux16~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux16~0_combout\ = (seg(5) & (!seg(6) & !seg(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux16~0_combout\);

-- Location: LCCOMB_X23_Y28_N2
\Mux15~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux15~0_combout\ = (seg(5) $ (!seg(4))) # (!seg(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux15~0_combout\);

-- Location: LCCOMB_X23_Y28_N12
\Mux14~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux14~0_combout\ = (!seg(5) & (seg(6) $ (seg(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(5),
	datab => seg(6),
	datad => seg(4),
	combout => \Mux14~0_combout\);

-- Location: LCCOMB_X27_Y27_N20
\var_seg~5\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg~5_combout\ = (\Add1~6_combout\ & (((\Add1~4_combout\) # (\Add1~0_combout\)) # (!\Add1~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~2_combout\,
	datab => \Add1~4_combout\,
	datac => \Add1~6_combout\,
	datad => \Add1~0_combout\,
	combout => \var_seg~5_combout\);

-- Location: FF_X27_Y27_N21
\var_seg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_seg~5_combout\,
	clrn => \resetn~input_o\,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(3));

-- Location: LCCOMB_X26_Y26_N6
\seg[3]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(3) = (\pausa~input_o\ & ((var_seg(3)))) # (!\pausa~input_o\ & (seg(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datac => \pausa~input_o\,
	datad => var_seg(3),
	combout => seg(3));

-- Location: LCCOMB_X27_Y27_N18
\var_seg~4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \var_seg~4_combout\ = (\Add1~2_combout\ & ((\Add1~4_combout\) # ((\Add1~0_combout\) # (!\Add1~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~2_combout\,
	datab => \Add1~4_combout\,
	datac => \Add1~6_combout\,
	datad => \Add1~0_combout\,
	combout => \var_seg~4_combout\);

-- Location: FF_X27_Y27_N19
\var_seg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \var_seg~4_combout\,
	clrn => \resetn~input_o\,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(1));

-- Location: LCCOMB_X27_Y27_N30
\seg[1]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(1) = (\pausa~input_o\ & ((var_seg(1)))) # (!\pausa~input_o\ & (seg(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \pausa~input_o\,
	datac => seg(1),
	datad => var_seg(1),
	combout => seg(1));

-- Location: FF_X27_Y26_N7
\var_seg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	asdata => \Add1~0_combout\,
	clrn => \resetn~input_o\,
	sload => VCC,
	ena => \var_seg[6]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => var_seg(0));

-- Location: LCCOMB_X27_Y26_N30
\seg[0]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(0) = (\pausa~input_o\ & ((var_seg(0)))) # (!\pausa~input_o\ & (seg(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(0),
	datac => \pausa~input_o\,
	datad => var_seg(0),
	combout => seg(0));

-- Location: LCCOMB_X27_Y26_N14
\seg[2]\ : cycloneiii_lcell_comb
-- Equation(s):
-- seg(2) = (\pausa~input_o\ & ((var_seg(2)))) # (!\pausa~input_o\ & (seg(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(2),
	datac => \pausa~input_o\,
	datad => var_seg(2),
	combout => seg(2));

-- Location: LCCOMB_X26_Y26_N0
\Mux27~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux27~0_combout\ = (seg(1) & (!seg(3) & ((!seg(2)) # (!seg(0))))) # (!seg(1) & (seg(3) $ (((seg(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux27~0_combout\);

-- Location: LCCOMB_X26_Y26_N2
\Mux26~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux26~0_combout\ = (seg(0) & ((seg(1)) # (seg(3) $ (!seg(2))))) # (!seg(0) & ((seg(2) & (seg(3))) # (!seg(2) & ((seg(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux26~0_combout\);

-- Location: LCCOMB_X26_Y26_N4
\Mux25~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux25~0_combout\ = (seg(0)) # ((seg(1) & (seg(3))) # (!seg(1) & ((seg(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux25~0_combout\);

-- Location: LCCOMB_X26_Y26_N22
\Mux24~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux24~0_combout\ = (seg(1) & ((seg(3)) # ((seg(0) & seg(2))))) # (!seg(1) & (seg(2) $ (((!seg(3) & seg(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101110011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux24~0_combout\);

-- Location: LCCOMB_X26_Y26_N16
\Mux23~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux23~0_combout\ = (seg(2) & (seg(3))) # (!seg(2) & (seg(1) & ((seg(3)) # (!seg(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux23~0_combout\);

-- Location: LCCOMB_X26_Y26_N10
\Mux22~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux22~0_combout\ = (seg(3) & ((seg(1)) # ((seg(2))))) # (!seg(3) & (seg(2) & (seg(1) $ (seg(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux22~0_combout\);

-- Location: LCCOMB_X26_Y26_N12
\Mux21~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Mux21~0_combout\ = (seg(1) & (seg(3))) # (!seg(1) & (seg(2) $ (((!seg(3) & seg(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101110011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => seg(3),
	datab => seg(1),
	datac => seg(0),
	datad => seg(2),
	combout => \Mux21~0_combout\);
END structure;


